Bug 474215 - SELinux denial for npviewer.bin port 8036
SELinux denial for npviewer.bin port 8036
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 15:19 EST by Rohan Dhruva
Modified: 2009-11-18 05:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The denial report (2.61 KB, text/plain)
2008-12-02 15:20 EST, Rohan Dhruva
no flags Details

  None (edit)
Description Rohan Dhruva 2008-12-02 15:19:24 EST
Description of problem:
Surfing to this site[1] in Firefox causes a SELinux denial for npviewer.bin on port 8036. I am attaching the complete log. This bug was filed against selinux-policy package as suggested by the setroubleshoot report.

I have enabled the adobe repository, and installed the flash plugin 10 for 32bit from that repo. My complete system is a 32bit system. Fedora 10 is completely updated.

[1] - http://www.techtree.com/India/News/Nokia_N97_The_Mobile_Computer_Arrives/551-95940-893.html

Version-Release number of selected component (if applicable):
selinux-policy-3.5.13-18.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Open firefox (with adobe flash player 10 installed)
2. Browse to http://www.techtree.com/India/News/Nokia_N97_The_Mobile_Computer_Arrives/551-95940-893.html

Actual results:
Denial on opening that site

Expected results:
No denial should take place

Additional info:
Comment 1 Rohan Dhruva 2008-12-02 15:20:12 EST
Created attachment 325421 [details]
The denial report
Comment 2 Daniel Walsh 2008-12-03 09:02:04 EST
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.5.13-30.fc10

Looks like it is trying to communicate with a Microsoft Speech Server?
Comment 3 Rohan Dhruva 2008-12-03 09:09:41 EST
No idea, I think it was more due to an advertisement.. Flash is evil! You want me to do more investigation into this flash applet?

Thank you for fixing the bug so fast :)
Comment 4 Bug Zapper 2009-11-18 05:16:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.